@use "colors";

// aidants_connect_web/espace_aidant/home.html
h3.home-section {
  display: block;
  font-size: 2rem;
  color: #000;
  font-weight: bold;
  text-transform: uppercase;
  margin: 2rem 0 2rem 2rem;
  line-height: 1.25;
}

.grid.structures .card:focus-within {
  outline: 2px solid #0053b3;
  outline-offset: 2px;
}

.grid.structures a:hover .card__meta {
  color: #fff;
}

.aidants-list .inactive td,
.aidants-list .inactive a {
  color: grey;
  font-style: italic;
}

.aidants-list .inactive a.button {
  background: grey;
  color: #fff;
}

.actions details {
  margin: .5em 0;
}

.actions summary {
  padding: .7em;
  cursor: pointer;
}

.actions details[open] {
  padding: 0 0 .7em;
}

.actions details[open] summary {
  margin-bottom: .7em;
  font-weight: bold;
}

.checkbox-list {
  padding: 0;
}

.section {
  margin-top: 5rem;
}

.aidant-home-services {
  a {
    font-size: 1.5em;
    line-height: 1.3;
    font-weight: bold;

    &, &:visited {
      text-decoration: none;
      color: black;
    }

    &:hover {
      background-color: #0053b3;
      color: white;
    }
  }

  .tile {
    color: #000;
    align-items: center;
    background-color: colors.$light-grey-aidants;
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 1rem;
    transform: none;
    transition: all .1s ease-in;
    width: 100%;

    &:hover {
      transform: scale(1.03)
    }

    .icon {
      height: 1em;
      width: 1em;
    }
  }
}

// aidants_connect_web/espace_aidant/organisation.html
.organisation-summary {
  display: flex;
  align-items: stretch;

  > [class^="fr-col"] > * {
    height: 100%;
  }

  .organisation-stats {
    background-color: colors.$blue-aidants;

    & * {
      color: #FFF;
    }
  }
}

table.table {
  border-collapse: collapse;
  margin-bottom: 2rem;
  width: 100%;


  tbody.shadowed {
    td {
      border: none;
      padding: 1rem;
    }

    tr:not(:last-child) td {
      border-bottom: 1px solid colors.$light-grey-aidants;
    }
  }

  &.aidants-list {
    tr td:last-child {
      text-align: right;

      a.button {
        padding: .25rem;

        &:not(:last-child) {
          margin-bottom: .5rem;
        }
      }
    }
  }

  [class*="request-status"] {
    padding: .25rem;
    border: 1px solid;

    &.request-status-cancelled {
      border-color: colors.$dark-grey-aidants;
      color: colors.$dark-grey-aidants;
    }

    &.request-status-new {
      border-color: colors.$dark-green-anct;
      color: colors.$dark-green-anct;
    }

    &.request-status-processing {
      border-color: colors.$light-blue-anct;
      color: colors.$light-blue-anct;
    }

    &.request-status-refused {
      border-color: colors.$red-aidants;
      color: colors.$red-aidants;
    }

    &.request-status-habilitation_waitling_list {
      border-color: colors.$blue-aidants;
      color: colors.$blue-aidants;
    }
  }

  .tooltip {
    display: inline-block;
    position: relative;
  }

  .tooltip .tooltiptext {
    background-color: #FFF;
    display: inline-block;
    left: -1px;
    list-style-position: inside;
    padding: 1rem;
    position: absolute;
    top: 2rem;
    visibility: hidden;
    width: 250px;
    z-index: 1;
  }

  .tooltip:hover .tooltiptext {
    visibility: visible;
  }

  .unverified-card-warning {
    max-width: 20rem;
  }
}

main a[href^="mailto:"] {
  font-weight: normal;
}
